org.jboss.logmanager.filters

## Class DenyAllFilter

- java.lang.Object
- - org.jboss.logmanager.filters.DenyAllFilter

All Implemented Interfaces:
  Filter

    public final class DenyAllFilter
    extends Object
    implements Filter

A deny-all filter.

### Method Summary

Methods
`static DenyAllFilter` `getInstance()` Get the filter instance.
`boolean` `isLoggable(LogRecord record)` Always returns `false`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isLoggable

    public boolean isLoggable(LogRecord record)

Always returns `false`.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - ignored
Returns:
  `false`

#### getInstance

    public static DenyAllFilter getInstance()

Get the filter instance.

Returns:
  the filter instance